System.Web 2.0.0.0 System.Object

The class is a utility class provided to simplify implementation of the interface by data source controls. Data source controls that implement the interface but do not extend the class can use the static methods in their own implementations of the methods defined by the interface. Data source controls that extend from the class inherit these method implementations automatically.

Used by data source controls when implementing the members defined by the interface. This class cannot be inherited.

- Method
  System.Boolean ``

  Use this method in an implementation of the property, passing a reference to a data source control.

  Indicates whether the specified data source control contains a collection of data source view objects.

  true if the data source control contains a collection of data source view objects; otherwise, false.

  An that specifies the data source control to test for associated data source view objects. 2.0.0.0
- Method
  System.Collections.IList ``

  Use this method in an implementation of the method, passing a reference to a data source control.

  The object that is returned implements the interface. You can use the method to retrieve a list of descriptors that correspond to the names associated with the data source control from the list.

  Retrieves an collection of data source objects.

  An of one , if the has one or more associated objects; otherwise, returns null.

  An that contains one or more associated objects, which are retrieved by a call to . 2.0.0.0